<?php
$db->exec("ALTER TABLE fr_settings ADD rm VARCHAR DEFAULT ('')");
$db->exec("CREATE TABLE temp_table AS SELECT * FROM fr_settings");
$db->exec("DROP TABLE fr_settings");
$db->exec("CREATE TABLE fr_settings (id INTEGER PRIMARY KEY, printer VARCHAR, rm VARCHAR DEFAULT '', header TEXT, footer TEXT, url VARCHAR, pays_type VARCHAR, vat_type VARCHAR, sno VARCHAR, active INT, type INT, driver VARCHAR, version VARCHAR, auto_incassation INT DEFAULT (0), line_by_line INT (1) DEFAULT (0), fix_user VARCHAR, fix_inn VARCHAR, one_line INT DEFAULT (1), free_title VARCHAR DEFAULT 'Свободная продажа', free_vat INT DEFAULT (-1))");
$db->exec("INSERT INTO fr_settings (id, printer, rm, header, footer, url, pays_type, vat_type, sno, active, type, driver, version, auto_incassation, line_by_line, fix_user, fix_inn, one_line, free_title, free_vat) SELECT id, printer, rm, header, footer, url, pays_type, vat_type, sno, active, type, driver, version, auto_incassation, line_by_line, fix_user, fix_inn, one_line, free_title, free_vat FROM temp_table");
$db->exec("DROP TABLE temp_table");
$db->exec("CREATE UNIQUE INDEX rm ON fr_settings (printer, rm)");

$db->exec("ALTER TABLE cd_settings ADD rm VARCHAR DEFAULT ('')");
$db->exec("CREATE INDEX cd_rm ON cd_settings (rm)");

$db->exec("ALTER TABLE scales_settings ADD rm VARCHAR DEFAULT ''");
$db->exec("CREATE TABLE temp_table AS SELECT * FROM scales_settings");
$db->exec("DROP TABLE scales_settings");
$db->exec("CREATE TABLE scales_settings (name VARCHAR, value VARCHAR, rm VARCHAR DEFAULT '')");
$db->exec("INSERT INTO scales_settings (name, value, rm) SELECT name, value, rm FROM temp_table");
$db->exec("DROP TABLE temp_table");
$db->exec("CREATE UNIQUE INDEX scales_rm ON scales_settings (name, rm)");

$db->exec("ALTER TABLE changes ADD rm VARCHAR DEFAULT ''");
$db->exec("UPDATE fr_settings SET rm='".$api_rm_id."'");
$db->exec("UPDATE cd_settings SET rm='".$api_rm_id."'");
$db->exec("UPDATE scales_settings SET rm='".$api_rm_id."'");
$db->exec("UPDATE changes SET rm='".$api_rm_id."'");
